let En_StNo = {
    アクセス: 10,   
    ジャミング: 13, 
    ジャミング_2: 14, 
    ホルモンウイルスB型 : 17, 
    ホルモンウイルスH型 : 18, 
    電子タトゥー : 19, 
    ニップルピアス : 20, 
    ニップル: 21,   
    ホルモンウイルスM型 : 24, 
    絡み: 26,      
    ダウン: 28,    
    オーガズム: 31,  
    パラサイト : 43, 
    ストレス : 45, 
    PTSD : 49, 
    バインド: 119,  
    アナルビーズ: 178,  
}
let StOneType = {
    Defense: 2,     
    CelDmg: 100,    
    SyaseiYoku: 110 
}
//□ ステート確認は _PLステート確認(En_StNo.絡み)
let En_St条件 = {
    _異常: -1, 
    _デッキ: 0, 
    _手札: 1     
}
const STNo_石化 = 115;
const STNo_メタル化 = 116;
const STNo_丸呑み = 117;
const STNo_石化中 = 118;
const STNo_バインド = 185;
class StateCardData {
    constructor(stateNo, cardNoArr, setSt条件, _St優先度, modelName, motion, setPs, zureX, zureY) {
        modelName = typeof modelName !== 'undefined' ? modelName : MdlRomashaBattle;
        motion = typeof motion !== 'undefined' ? motion : "batalle_bless";
        setPs = typeof setPs !== 'undefined' ? setPs : "right";
        zureX = typeof zureX !== 'undefined' ? zureX : 0;
        zureY = typeof zureY !== 'undefined' ? zureY : 0;
        this._StNo = stateNo; 
        this._CardNoArr = cardNoArr; 
        this._St条件 = setSt条件; 
        this._St優先度 = _St優先度; 
        this._Model = modelName; 
        this._Motion = motion; 
        this._SetPs = setPs;
        this._ZureX = zureX;
        this._ZureY = zureY;
    }
}
let En_StCardArr = [];
// new _StCard(En_StNo.状態異常名 ,[該当カードNo] , En_St条件.継続条件 , 優先度 , "Live2Dモデル名" , "待機モーション名")
En_StCardArr.push(new StateCardData(En_StNo.ジャミング, [], En_St条件._異常, 1, "romasha_battale", "batalle_blessHAJI")); 
En_StCardArr.push(new StateCardData(En_StNo.ジャミング_2, [], En_St条件._異常, 1, "romasha_battale", "batalle_blessHAJI")); 
En_StCardArr.push(new StateCardData(En_StNo.ニップル, [172], En_St条件._デッキ, 10)); 
En_StCardArr.push(new StateCardData(En_StNo.絡み, [173, 177], En_St条件._手札, 20, "romasha_battleback", "animal_bind_wait", "center", -100)); 
En_StCardArr.push(new StateCardData(En_StNo.ダウン, [178], En_St条件._手札, 30, "romasha_kick", "down1", "center")); 
En_StCardArr.push(new StateCardData(En_StNo.バインド, [185], En_St条件._手札, 30, "romasha_kusuguri", "battle_wait", "center")); 
En_StCardArr.push(new StateCardData(En_StNo.オーガズム, [199], En_St条件._手札, 20, "romasha_battale", "battale_damagebless")); 
//En_StCardArr.push(new StateCardData(En_StNo.アナルビーズ, [324], En_St条件._手札, 10, "romasha_talk", "battale_iki")); //アナルビーズ
class HandStateCard {
    constructor(cardNo, stateNo) {
        this.CardNo = cardNo;
        this.StateNo = stateNo;
    }
}
let En_StateCardArr = [];
En_StateCardArr.push(new HandStateCard(387, STNo_丸呑み)); 
/**
 * @param {number} stateId ステートID
 * @param {number} cardNo カードNo
 * @param {number} maisu 追加枚数
 * @param {boolean} topSetFlg 最初にセットするか
 */
class State_To_Deck {
    constructor(stateId, cardNo, maisu, topSetFlg) {
        topSetFlg = typeof topSetFlg !== 'undefined' ? topSetFlg : false;
        this.StId = stateId;
        this.CardNo = cardNo;
        this.Maisu = maisu;
        this.TopSetFlg = false;
    }
}
let stateToDeckArr = []; 
let stateToDeckNoArr = [];  
stateToDeckArr.push(new State_To_Deck(En_StNo.ホルモンウイルスB型, 379, 1, true)); 
stateToDeckArr.push(new State_To_Deck(En_StNo.ホルモンウイルスH型, 376, 1, true)); 
stateToDeckArr.push(new State_To_Deck(En_StNo.電子タトゥー, 378, 1, true)); 
stateToDeckArr.push(new State_To_Deck(En_StNo.ニップルピアス, 377, 1, true)); 
stateToDeckArr.push(new State_To_Deck(En_StNo.ホルモンウイルスM型, 380, 1, true)); 
stateToDeckArr.push(new State_To_Deck(En_StNo.パラサイト, 384, 1, true)); 
stateToDeckArr.push(new State_To_Deck(En_StNo.ストレス, 182, 1, true)); 
stateToDeckArr.push(new State_To_Deck(En_StNo.PTSD, 184, 1, true)); 
stateToDeckArr.forEach(sData => {
    stateToDeckNoArr.push(sData.CardNo);
});
